Package org.eclipse.net4j.util.io

## Class DelegatingStreamWrapper

- java.lang.Object
- - org.eclipse.net4j.util.io.DelegatingStreamWrapper

- All Implemented Interfaces:
    `IStreamWrapper`
  Direct Known Subclasses:
    `StreamWrapperChain`

      public abstract class DelegatingStreamWrapper
      extends java.lang.Object
      implements IStreamWrapper

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.IStreamWrapper

      `IStreamWrapper.Factory`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DelegatingStreamWrapper​(IStreamWrapper delegate)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract void` | `doFinishInputStream​(java.io.InputStream in)` |
    `protected abstract void` | `doFinishOutputStream​(java.io.OutputStream out)` |
    `protected abstract java.io.InputStream` | `doWrapInputStream​(java.io.InputStream in)` |
    `protected abstract java.io.OutputStream` | `doWrapOutputStream​(java.io.OutputStream out)` |
    `void` | `finishInputStream​(java.io.InputStream in)` |
    `void` | `finishOutputStream​(java.io.OutputStream out)` |
    `IStreamWrapper` | `getDelegate()` |
    `java.io.InputStream` | `wrapInputStream​(java.io.InputStream in)` |
    `java.io.OutputStream` | `wrapOutputStream​(java.io.OutputStream out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingStreamWrapper

          public DelegatingStreamWrapper​(IStreamWrapper delegate)

  - ### Method Detail

    - #### getDelegate

          public IStreamWrapper getDelegate()

    - #### wrapInputStream

          public java.io.InputStream wrapInputStream​(java.io.InputStream in)
                                              throws java.io.IOException

      Specified by:
        `wrapInputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### wrapOutputStream

          public java.io.OutputStream wrapOutputStream​(java.io.OutputStream out)
                                                throws java.io.IOException

      Specified by:
        `wrapOutputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### finishInputStream

          public void finishInputStream​(java.io.InputStream in)
                                 throws java.io.IOException

      Specified by:
        `finishInputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### finishOutputStream

          public void finishOutputStream​(java.io.OutputStream out)
                                  throws java.io.IOException

      Specified by:
        `finishOutputStream` in interface `IStreamWrapper`
      Throws:
        `java.io.IOException`

    - #### doWrapInputStream

          protected abstract java.io.InputStream doWrapInputStream​(java.io.InputStream in)
                                                            throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doWrapOutputStream

          protected abstract java.io.OutputStream doWrapOutputStream​(java.io.OutputStream out)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doFinishInputStream

          protected abstract void doFinishInputStream​(java.io.InputStream in)
                                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### doFinishOutputStream

          protected abstract void doFinishOutputStream​(java.io.OutputStream out)
                                                throws java.io.IOException

      Throws:
        `java.io.IOException`